// Interface: csiConstants
//
// Purpose: holds csiConstants for program control and 
//	    data type checking
//
// History: ver 1.0, 13 Jan 99, gpg, created
//          v2.0, 10 May 99, mfo, Java2 version
//
// COPYRIGHT, 2000, Fox Chase Cancer Center
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


package viewer.csi.gui;

public interface csiConstants {

    public static int version = 200001;
    public static String copyright =
		"Copyright 2000, Fox Chase Cancer Center";

    public static final int TYPE_NODATA = 0;  // basic data types
    public static final int TYPE_VECTOR = 1;
    public static final int TYPE_BITMAP = 2;
    public static final int TYPE_VECT3D = 3;

    public static final int ZOOM_RESTORE = -1; // zooming status
    public static final int ZOOM_TOFIT = 1;
    public static final int ZOOM_KEEPSCALE = 2;
    public static final int ZOOM_RECTANGLE = 3;

    public static final int GRAY_SHADES = 256;  // color levels
    
    public static final int PROCESS_OK = 0;    // process status
    public static final int PROCESS_CANCELED = 1;
    public static final int PROCESS_ERROR = 2;

}//: End of csiConstants.class



