// Interface: ZoomListener
//
// Purpose: interface for ZoomEvent
//
// History:
//              v2.0, 17 Apr 99, mfo, Java2 version
//
// COPYRIGHT, 2000, Fox Chase Cancer Center
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

package viewer.csi.gui.event;

import java.util.EventListener;
import viewer.csi.gui.event.ZoomEvent;

public interface ZoomListener extends EventListener {

    public abstract void zoom( ZoomEvent e );
    
}; // End of interface ZoomListener.class
